<template>
  <div></div>
</template>

<script>
import { setToken } from 'utils/auth'

export default {
  data() {
    return {}
  },
  created() {
    this.init()
  },
  methods: {
    init(data) {
      const { token, redirect = '/dashboard' } = this.$route.query
      setToken(token)
      this.$router.push(redirect)
    }
  }
}
</script>
